Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85404 - network config does unnecessary file updates
Summary: network config does unnecessary file updates
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-config-network
Version: 1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: rcn-profiling
TreeView+ depends on / blocked
 
Reported: 2003-03-01 09:13 UTC by Ed
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-07-29 15:50:50 UTC


Attachments (Terms of Use)

Description Ed 2003-03-01 09:13:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021212

Description of problem:
I changed my umask to 0026 some time ago. Yesterday I used network configuration
(providing the root password when asked) to change the phone number for a ppp
device and altered nothing else.

I have verified the following through controlled experiments.

After hitting Apply to commit the changes I got lots of errors which I tracked
down to the following files having access bits of rw-/r--/---, /etc/hosts,
/etc/resolv.conf and (possibly) /etc/aliases.db.

It appears there are two bugs:
my personal umask rather than root's is being used
unnecessary files are being updated

The end result of these two bugs is that I can render networking unusable for
non-root users (before you ask root's umask is the default 0022).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Have a user set their umask to 0026
2. use the network config t change the phone no of a ppp connection
3. hit apply
4. ls -ltr /etc

Actual Results:  /etc/hosts, /etc/resolv.conf and (possibly) /etc/aliases.db
have access bits of rw-/r--/---

Expected Results:  these files should not have been altered, but if they were
the access bits should have been rw-/r--/r--

Additional info:


Note You need to log in before you can comment on or make changes to this bug.